#ifndef _KGR_PATCH_BSC1059677_H
#define _KGR_PATCH_BSC1059677_H

int kgr_patch_bsc1059677_init(void);
void kgr_patch_bsc1059677_cleanup(void);


struct xlog;

/* from fs/xfs/xfs_linux.h */
typedef __s64			xfs_daddr_t;	/* <disk address> type */

int kgr_xlog_find_tail(struct xlog *log, xfs_daddr_t *head_blk,
		       xfs_daddr_t *tail_blk);
int kgr_xlog_do_log_recovery(struct xlog *log, xfs_daddr_t head_blk,
			     xfs_daddr_t tail_blk);

#define KGR_PATCH_BSC1059677_FUNCS					\
	KGR_PATCH_OBJ(xlog_find_tail, kgr_xlog_find_tail, "xfs"),	\
	KGR_PATCH_OBJ(xlog_do_log_recovery, kgr_xlog_do_log_recovery,	\
			"xfs"),

#endif
